Subject: Re: [PATCH RFC net-next] net: WireGuard secure network tunnel

From: "Jason A. Donenfeld" <[email-masked]>
Date: Wed, 27 Nov 2019 11:49:30 +0100

On Wed, Nov 20, 2019 at 09:35:38PM +0100, Jason A. Donenfeld wrote:
> RFC Note:
>   This is a RFC for folks who want to play with this early, because
>   Herbert's cryptodev-2.6 tree hasn't yet made it into net-next. I'll
>   repost this as a v1 (possibly with feedback incorporated) once the
>   various trees are in the right place. This compiles on top of the
>   Frankenzinc patchset from Ard, though it hasn't yet received suitable
>   testing there for me to call it v1 just yet. Preliminary testing with
>   the usual netns.sh test suite on x86 indicates it's at least mostly
>   functional, but I'll be giving things further scrutiny in the days to
>   come.
> 
> WireGuard is a layer 3 secure networking tunnel made specifically for
> [...]

FYI, as the various merges happen between crypto-2.6.git and net*.git,
I'll be keeping this tag up to date with the latest WireGuard patch:

https://git.kernel.org/pub/scm/linux/kernel/git/zx2c4/linux.git/patch/?id=734bd9ed21b0b0057bd2a131c9129a50cd910f6c
https://git.kernel.org/pub/scm/linux/kernel/git/zx2c4/linux.git/commit/?h=wireguard